qeth: Enhanced link speed - s390tools part (Cosmic+Bionic)

Bug #1815022 reported by bugproxy on 2019-02-07
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
Medium
Canonical Foundations Team
s390-tools (Ubuntu)
Undecided
Skipper Bug Screeners
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
Disco
Undecided
Skipper Bug Screeners

Bug Description

[Impact]

 * Hardware Enablement - report correct link speeds for one more card

[Test Case]

 * Execute qethqoat on an OSA-Express7S card, e.g.:

  $ qethqoat encc003

 And check that Port speed/mode is reported correctly.

 * Test that the tool continues to work on existing cards.

[Regression Potential]

 * code changes to qethqoat tool only to add one more set of defines for the new network card. Test that the tool works correctly on existing cards.

[Other Info]

 * Original bug report.

Function:
Provide enhanced link speed for OSA networks

Business Case:
Improved performance with OSA networks

Available with s390-tools 2.7.0
https://github.com/ibm-s390-tools/s390-tools/releases

This function is already Fix Released for disco
https://bugs.launchpad.net/ubuntu/+source/s390-tools/+bug/1814891

But should also be implemented for Cosmic and Bionic.
This is the rational for this request

bugproxy (bugproxy) on 2019-02-07
tags: added: architecture-s39064 bugnameltc-175318 severity-high targetmilestone-inin1904
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → linux (Ubuntu)
affects: linux (Ubuntu) → s390-tools (Ubuntu)
Changed in ubuntu-z-systems:
status: New → Triaged
description: updated
Changed in ubuntu-z-systems:
importance: Undecided → Medium
assignee: nobody → Canonical Foundations Team (canonical-foundations)
summary: - [19.04 FEAT[ qeth: Enhanced link speed - s390tools part (Cosmic+Bionic)
+ qeth: Enhanced link speed - s390tools part (Cosmic+Bionic)

------- Comment From <email address hidden> 2019-02-12 08:01 EDT-------
This git commit will seamless apply also to 2.3.0 and 2.6.0 for Bionic and Cosmic
https://github.com/ibm-s390-tools/s390-tools/commit/20145b6d06debd47944bff0a471d17e5eba07010

description: updated
Dimitri John Ledkov (xnox) wrote :

(xnox, note to self, kernel ticket is https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1814892 )

Changed in s390-tools (Ubuntu Disco):
status: New → Fix Released
Frank Heimes (frank-heimes) wrote :

Since LP 1814892 got just 'Fix Released' (incl. SRUs for cosmic and bionic), this is now unblocked.

information type: Private → Public
description: updated
tags: added: id-5c5c5e5a01f5108d92d4d374
Changed in ubuntu-z-systems:
status: Triaged → In Progress

Hello bugproxy, or anyone else affected,

Accepted s390-tools into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/s390-tools/2.3.0-0ubuntu3.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in s390-tools (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-bionic
Changed in ubuntu-z-systems:
status: In Progress → Fix Committed
Dimitri John Ledkov (xnox) wrote :

# dpkg-query -W s390-tools
s390-tools 2.3.0-0ubuntu3.3

# qethqoat encc003
PCHID: 0x014c
CHPID: 0xc0
Manufacturer MAC address: 6c:ae:8b:48:e7:0d
Configured MAC address: 00:00:00:00:00:00
Data device sub-channel address: 0xc005
CULA: 0x00
Unit address: 0x05
Physical port number: 0
Number of output queues: 1
Number of input queues: 1
Number of active input queues: 0
CHPID Type: OSD
Interface flags: 0x00040000
OSA Generation: OSA-Express5S
Port speed/mode: 10 Gb/s / full duplex
Port media type: multi mode (SR/SX)
Jumbo frames: yes
Firmware: 0x00000774

IPv4 router: no
IPv6 router: no
IPv4 vmac router: no
IPv6 vmac router: no
Connection isolation: not active
Connection isolation VEPA: no
IPv4 assists enabled: 0x00000000
IPv6 assists enabled: 0x00f15c60
IPv4 outbound checksum enabled: 0x00000000
IPv6 outbound checksum enabled: 0x00000000
IPv4 inbound checksum enabled: 0x00000000
IPv6 inbound checksum enabled: 0x00000000
L2 vlan id: 2654
L2 vmac: 4a:4c:9b:69:3c:52

gmac
----
01:00:5e:00:00:01
33:33:00:00:00:01
01:80:c2:00:00:21
33:33:ff:69:3c:52

Still works on existing hardware / did not regress.

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Łukasz Zemczak (sil2100) wrote :

Hello bugproxy, or anyone else affected,

Accepted s390-tools into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/s390-tools/2.6.0-0ubuntu7.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in s390-tools (Ubuntu Cosmic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-cosmic
removed: verification-done

The verification of the Stable Release Update for s390-tools has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package s390-tools - 2.3.0-0ubuntu3.3

---------------
s390-tools (2.3.0-0ubuntu3.3) bionic; urgency=medium

  * Guard against needlesly resetting cpi vars. LP: #1805841
  * Cherrypick upstream patch to add OSA-Express7S defines in
    qethqoat. LP: #1815022

 -- Dimitri John Ledkov <email address hidden> Thu, 02 May 2019 14:50:47 +0100

Changed in s390-tools (Ubuntu Bionic):
status: Fix Committed → Fix Released
Frank Heimes (frank-heimes) wrote :

The s390-tools package s390-tools_2.6.0-0ubuntu7.3_s390x.deb for cosmic didn't landed yet in cosmic's proposed pocket.
Hence I downloaded and installed it manually:
$ apt-cache policy s390-toolss390-tools:
  Installed: 2.6.0-0ubuntu7.3
  Candidate: 2.6.0-0ubuntu7.3
  Version table:
 *** 2.6.0-0ubuntu7.3 100
        100 /var/lib/dpkg/status
     2.6.0-0ubuntu7.2 500
        500 http://us.ports.ubuntu.com/ubuntu-ports cosmic-updates/main s390x Packages
     2.6.0-0ubuntu7 500
        500 http://us.ports.ubuntu.com/ubuntu-ports cosmic/main s390x Packages
I'll let it go for a while until my eod - before I'm going to adjust the tags ...

Frank Heimes (frank-heimes) wrote :

Package s390-tools 2.6.0-0ubuntu7.3 landed inbetween in cosmic's proposed pocket:
$ apt-cache policy s390-tools
s390-tools:
  Installed: 2.6.0-0ubuntu7.3
  Candidate: 2.6.0-0ubuntu7.3
  Version table:
 *** 2.6.0-0ubuntu7.3 500
        500 http://us.ports.ubuntu.com/ubuntu-ports cosmic-proposed/main s390x Packages
        100 /var/lib/dpkg/status
     2.6.0-0ubuntu7.2 500
        500 http://us.ports.ubuntu.com/ubuntu-ports cosmic-updates/main s390x Packages
     2.6.0-0ubuntu7 500
        500 http://us.ports.ubuntu.com/ubuntu-ports cosmic/main s390x Packages
I have it now running for an entire working day and it looks good, no regressions so far,
hence adjusting tags accordingly ...

tags: added: verification-done verification-done-cosmic
removed: verification-needed verification-needed-cosmic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package s390-tools - 2.6.0-0ubuntu7.3

---------------
s390-tools (2.6.0-0ubuntu7.3) cosmic; urgency=medium

  * Guard against needlesly resetting cpi vars. LP: #1805841
  * Use system path to find cryptsetup binary. LP: #1803958
  * Cherrypick upstream patch to add OSA-Express7S defines in
    qethqoat. LP: #1815022

 -- Dimitri John Ledkov <email address hidden> Thu, 02 May 2019 14:21:10 +0100

Changed in s390-tools (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released

------- Comment From <email address hidden> 2019-06-11 02:37 EDT-------
IBM bugzilla status -> closed, Fix released for all requested distros

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers